package in.bench.resources.string.handling;

public class StringCompareToIgnoreCaseComparison {

	public static void main(String[] args) {

		// declare local variables
		String player1 = "Hamilton";
		String player2 = "Hamilton";
		String player3 = new String("Hamilton");
		String player4 = "hamilton";

		// CASE 1 : compareToIgnoreCase() using string literal
		if(player1.compareToIgnoreCase(player2) == 0) { // true
			System.out.println("Both String Literals are lexicographically equal");
		}
		else if(player1.compareToIgnoreCase(player2) > 0) { // false
			System.out.println("1st String is lexicographically greater than 2nd String");
		}
		else if(player1.compareToIgnoreCase(player2) < 0) { // false
			System.out.println("1st String is lexicographically lesser than 2nd String");
		}

		// CASE 2 : compareToIgnoreCase() using string literal & string object
		if(player1.compareToIgnoreCase(player3) == 0) { // true
			System.out.println("String Literal and String object's values are lexicographically equal");
		}
		else if(player1.compareToIgnoreCase(player3) > 0) { // false
			System.out.println("1st String is lexicographically greater than 2nd String");
		}
		else if(player1.compareToIgnoreCase(player3) < 0) { // false
			System.out.println("1st String is lexicographically lesser than 2nd String");
		}

		// CASE 3 : compareToIgnoreCase() using string literal with case difference
		if(player1.compareToIgnoreCase(player4) == 0) { // true
			System.out.println("Both String Literals are lexicographically equal");
		}
		else if(player1.compareToIgnoreCase(player4) > 0) { // false
			System.out.println("1st String is lexicographically greater than 2nd String");
		}
		else if(player1.compareToIgnoreCase(player4) < 0) { // false
			System.out.println("1st String is lexicographically lesser than 2nd String");
		}
	}
}